Package com.microsoft.sqlserver.jdbc

## Interface SQLServerAccessTokenCallback

    public interface SQLServerAccessTokenCallback

Provides SqlAuthenticationToken callback to be implemented by client code.

### Method Summary

All Methods Instance Methods Abstract Methods
`SqlAuthenticationToken` `getAccessToken​(String stsurl, String spn)` For an example of callback usage, look under the project's code samples.

### Method Detail

#### getAccessToken

    SqlAuthenticationToken getAccessToken​(String stsurl,
                                          String spn)

For an example of callback usage, look under the project's code samples. Returns the access token for the authentication request

Parameters:
  `stsurl` - - Security token service URL.
  `spn` - - Service principal name.
Returns:
  Returns a `SqlAuthenticationToken`.